|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Classes | Public Member Functions
gameplay::PhysicsCollisionShape::Definition Struct Reference

`#include <PhysicsCollisionShape.h>`

List of all members.

## Classes

struct | BoxData
struct | CapsuleData
struct | SphereData

## Public Member Functions

| Definition ()
| Definition (const Definition &definition)
Definition & | operator= (const Definition &definition)
| ~Definition ()
bool | isEmpty () const

## Detailed Description

Structure representing the definition of a collision shape, which is used during collision shape construction time.

Use the static methods on the PhysicsCollisionShape class to return

## Constructor & Destructor Documentation

gameplay::PhysicsCollisionShape::Definition::Definition | ( |  | ) |

Constructor.

gameplay::PhysicsCollisionShape::Definition::Definition | ( | const Definition & | definition | ) |

Constructs a new Definition that is a copy of the specified Definition.

Parameters:

  definition | The Definition to copy.

gameplay::PhysicsCollisionShape::Definition::~Definition | ( |  | ) |

Destructor.

## Member Function Documentation

bool gameplay::PhysicsCollisionShape::Definition::isEmpty | ( |  | ) | const

Determines if this is an empty/undefined collision shape definition.

Definition& gameplay::PhysicsCollisionShape::Definition::operator= | ( | const Definition & | definition | ) |

Assigns the specified Definition as the Definition.

Parameters:

  definition | The Definition to assign to the Definition.

## Member Data Documentation

BoxData gameplay::PhysicsCollisionShape::Definition::box

CapsuleData gameplay::PhysicsCollisionShape::Definition::capsule

HeightField* gameplay::PhysicsCollisionShape::Definition::heightfield

Mesh* gameplay::PhysicsCollisionShape::Definition::mesh

SphereData gameplay::PhysicsCollisionShape::Definition::sphere

All Classes Functions Variables Typedefs Enumerations Enumerator